Page MenuHomeMiraheze

cant upload a dump file
Closed, ResolvedPublic

Description

hi
I just downloaded the XML dump file around 180Mb / i used the spacial page but that give me a error after 70%

the error is : ERR_SPDY_PING_FAILED

Event Timeline

Bachounda created this task.Aug 9 2018, 15:26
Paladox added a subscriber: Paladox.Aug 9 2018, 15:32

Hi, you can not import a dump that size. Maximum we set is 80mbps. We will have to import it for you.

MacFan4000 removed Bachounda as the assignee of this task.Aug 9 2018, 15:38
MacFan4000 added a project: MediaWiki.
revi added a comment.Aug 9 2018, 16:00

@Bachounda, You will have to contact the technical staff at staff@miraheze.org with your dump files and the link to this task to process import.

AmandaCath triaged this task as Normal priority.Aug 9 2018, 16:22
Paladox changed the task status from Open to Stalled.Aug 10 2018, 00:35
Reception123 changed the task status from Stalled to Open.Aug 10 2018, 09:35
Paladox changed the task status from Open to Stalled.EditedAug 11 2018, 16:30

This is stalled until @Bachounda replies.

Hi,
I contacted the staff@miraheze.org but without response :(

Can anyone help me

I want to upload this XML dump file at this link
https://mega.nz/#!MdsSFQDJ!pcKRDVttJT_X9zd9k76zVerJJT_9tl1GEWBsSJJ59XU

on this wiki wikiageing.miraheze.org/wiki/

with all images and adons and with the localsetting.php

Bests

Rappy_4187 changed the task status from Stalled to Open.Aug 12 2018, 08:51
Rappy_4187 assigned this task to Reception123.
Rappy_4187 raised the priority of this task from Normal to Unbreak Now!.
Rappy_4187 added a subscriber: John.
Reception123 lowered the priority of this task from Unbreak Now! to Normal.Aug 12 2018, 10:04

@Bachounda I am really sorry for the late response. I've now started the import.

The images folder is empty

I download now from the FTP server or it is necessary to do the process with the photo folder?

Paladox added a comment.Aug 12 2018, 17:01

@Bachounda hi, would you be able to generate a new dump please? Reason we ask is because it's failing with warnings.

Bachounda added a comment.EditedAug 12 2018, 18:28

@Bachounda hi, would you be able to generate a new dump please? Reason we ask is because it's failing with warnings.

Because If have no shell access, I use the WikiTeam Python script dumpgenerator.py from a DOS,
(python dumpgenerator.py --api=http://www.sdiy.info/w/api.php --xml --images)

is it the best tool ?

or i give you an admin access to wikiageing.org (with that you will create the right dump xml ) ?

Paladox added a comment.Aug 12 2018, 19:22

Where is your wiki you are importing from?

Bachounda added a comment.EditedAug 12 2018, 20:25

Where is your wiki you are importing from?

from this website

Paladox added a comment.Aug 13 2018, 00:26

@Bachounda is there a way you can ask the author of the site to run the dump script from mw?

Im not sure if dumpgenerator.py script is the one creating dumps that have errors in the syntax.

We are getting:

PHP Warning:  XMLReader::next(): uploadsource://5b7a4ad1d5fe483720bb46bbe32461b3:2142431: parser error : Opening and ending tag mismatch: page line 65535 and mediawiki in /srv/mediawiki/w/includes/import/WikiImporter.php on line 755

Warning: XMLReader::next(): uploadsource://5b7a4ad1d5fe483720bb46bbe32461b3:2142431: parser error : Opening and ending tag mismatch: page line 65535 and mediawiki in /srv/mediawiki/w/includes/import/WikiImporter.php on line 755
PHP Warning:  XMLReader::next(): </mediawiki> in /srv/mediawiki/w/includes/import/WikiImporter.php on line 755

Warning: XMLReader::next(): </mediawiki> in /srv/mediawiki/w/includes/import/WikiImporter.php on line 755
PHP Warning:  XMLReader::next():             ^ in /srv/mediawiki/w/includes/import/WikiImporter.php on line 755

Warning: XMLReader::next():             ^ in /srv/mediawiki/w/includes/import/WikiImporter.php on line 755
Done!
You might want to run rebuildrecentchanges.php to regenerate RecentChanges,
and initSiteStats.php to update page and revision counts

the server that i have is obsolete and i have. no shell access
unfortunately all all this scripts you show me need a shell access
is it any incompatibilities with the 1.23 and latest version of MW ?

the server that i have is obsolete and i have. no shell access
unfortunately all all this scripts you show me need a shell access
is it any incompatibilities with the 1.23 and latest version of MW ?

In theory there should not be incompatibilities, but there seems to be an error with this XML dump. If you cannot provide another one, I guess our only option is to try to fix it.

is it easy to fix ?
yesterday i have uploaded another xml dump from the wikiageing.org here the link of the xml dump
with the same script but changing the paramettres

Paladox claimed this task.Aug 13 2018, 14:07

I've generated the dump and seems to work now. Currently importing.

Paladox closed this task as Resolved.Aug 13 2018, 19:58

It's finished importing, you will want to do a revert on https://wikiageing.miraheze.org/wiki/الصفحة_الرئيسية so that the default main page goes back to the import we did.

It's finished importing, you will want to do a revert on https://wikiageing.miraheze.org/wiki/الصفحة_الرئيسية so that the default main page goes back to the import we did.

i'm really impressed, you done a great job.

Thank you verry much

what tool you used ?

the next step is to add

0- localsetting
1- users
2- photos folder

how can i do that .